Gets details, status, and configuration of an official MCP or a custom MCP in the current workspace.
Endpoint
GET /api/v1/mcp/servers/{mcpCode}
Request parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| mcpCode | string | Yes | MCP code |
Response
Returns a complete DetailResponse. For a custom MCP, mcp_config is returned as saved; if the configuration cannot be restored, it is null. For an official MCP, mcp_config is always null.
| Field | Type | Description |
|---|---|---|
| mcp_code | string | MCP code |
| server_name | string | MCP name |
| description | string | MCP description |
| type | string | OFFICIAL or CUSTOMER |
| server_type | string | STDIO, HTTP, SSE, or OPENAPI |
| server_status | string | Service status |
| server_status_text | string | Status text |
| dashscope_endpoint | string / null | MCP endpoint. Returned only when the service is enabled or activating |
| meta_info | object / null | Service metadata |
| mcp_config | object / null | Saved configuration of a custom MCP |
meta_info fields, see MCP API overview.
Example
Errors
| HTTP status | error_code | Description |
|---|---|---|
| 400 | InvalidParameter | A query parameter or request body is provided |
| 404 | McpServerNotFound | The MCP service does not exist or does not belong to the current workspace |
| 404 | McpServerUnavailable | The MCP service is deleted or unavailable |